/*
 * GccApplication1.c
 *
 * Created: 29.04.2024 19:39:18
 * Author : User
 */ 

#include <avr/io.h>
#include "can.h"
#include <avr/interrupt.h>
#include <inttypes.h>
#include <stdbool.h>

#define F_CPU 16000000UL
#include <util/delay.h>

void sleep(uint32_t i)
{
	while(i--)
	_delay_ms(1);
}

int main(void)
{
	//DDRA = 0xff;
	//DDRE = 0x00;
	//PORTE = 0xff;
	DDRG = 0xff;
	
	int8_t  data[8];

	data[0] = 0x94;
	data[1] = 0x94;
	data[2] = 0xF8;
	data[3] = 0xFF;
	data[4] = 0x4F;
	data[5] = 0xAA;
	data[6] = 0xA5;
	data[7] = 0xAA;
	
	

    while (1) 
    {
		//PORTG = 0xff;
		
		//while ( !(PINE & ( 1 << PINE0)))  // Kl.15 = 1
		//{
			
			// baudrate: 500K, keine Interrupts, extended Id
			can_init(4, 0, 0);

			// mob: 0, modus: senden, id 3C0, idm 0xffffffff
			can_enable_mob(0, 1, 0x3C0, 0xffffffff);
			
			
			PORTG = 0xff;
			

			
			
			can_send_data(0, 8, data);
			
			sleep(1000);

/*			for(i = 1; i <= 8; i++)
			{
				//sleep(1000);
				can_send_data(0, i, data);
			}
*/
			//while(1);

			
		//}
		PORTG = 0x00;
		sleep(1000);
    }
	
	return 0;
	
}

